/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.workflow.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * AM_UNIT(承認ユニットマスタ)のDTOクラス。
 */
public class AmUnitDto extends BaseDto {
	
	private static final long	serialVersionUID	= 79335992285203353L;
	
	// フィールド
	private String				unitcode			= "";					//ユニットコード
	private Date				startdate			= null;				//権限開始日
	private String				main				= "";					//承認者
	private String				agent				= "";					//代理
	private int					deleteflag			= 0;					//削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public AmUnitDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return unitcode 	ユニットコード。
	 */
	public String getUnitCode() {
		return unitcode;
	}
	
	/**
	 * @return startdate 	権限開始日。
	 */
	public Date getStartDate() {
		return (Date)startdate.clone();
	}
	
	/**
	 * @return main 	承認者。
	 */
	public String getMain() {
		return main;
	}
	
	/**
	 * @return agent 	代理。
	 */
	public String getAgent() {
		return agent;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param unitcode 	セットするユニットコード。
	 */
	public void setUnitCode(String unitcode) {
		this.unitcode = unitcode;
	}
	
	/**
	 * @param startdate 	セットする権限開始日。
	 */
	public void setStartDate(Date startdate) {
		this.startdate = (Date)startdate.clone();
	}
	
	/**
	 * @param main 	セットする承認者。
	 */
	public void setMain(String main) {
		this.main = main;
	}
	
	/**
	 * @param agent 	セットする代理。
	 */
	public void setAgent(String agent) {
		this.agent = agent;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
